Bug 249109 - KDE sets XDG_CONFIG_DIRS to desktop environment specific directory
KDE sets XDG_CONFIG_DIRS to desktop environment specific directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 18:16 EDT by Lei Zhang
Modified: 2008-07-26 01:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0-23.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 18:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2007-07-20 18:16:38 EDT
Description of problem:

I'm trying to add a menu item for a third party software to both the Gnome and
KDE menu using xdg-desktop-menu. Normally, xdg-desktop-menu creates .menu files
and put them in /etc/xdg/menus/applications-merged, and the new menu items get
picked up by both KDE and GNOME. With KDE on F7, /etc/kde/env/env.sh sets
XDG_CONFIG_DIRS to /etc/kde/xdg:/etc/xdg, causing xdg-desktop-menu to create the
.menu files in /etc/kde/menus/applications-merged, a location GNOME does not
know about.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Get a copy of xdg-utils from http://portland.freedesktop.org/xdg-utils-1.0/
xdg-utils is the package that contains xdg-desktop-menu
2. Login to a KDE session, XDG_CONFIG_DIRS should be set to /etc/kde/xdg:/etc/xdg.
3. Create a file called bar.directory with the following content:
[Desktop Entry]
Encoding=UTF-8
Name=Bar
Type=Directory
4. Create a file called foo.desktop with the following content:
Encoding=UTF-8
Name=Foo
Exec=/bin/false
Terminal=false
Type=Application
5. run /path/to/xdg-desktop-menu install --novendor bar.directory foo.desktop


Actual results:

In KDE, the top level menu contains a folder called Bar which has  a menu item
called Foo. In Gnome, there is no Bar folder, and Foo is in the Others folder.

Expected results:

The top level menu in both KDE and Gnome should contain a folder called Bar
which has  a menu item called Foo.


Additional info:

/etc/kde/env/env.sh should not set $XDG_CONFIG_DIRS, it default to /etc/xdg
which I believe is the correct location. Having a desktop envioronment specific
$XDG_CONFIG_DIRS seems to defeat the whole point of XDG.
Comment 1 Bug Zapper 2008-05-14 09:37:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lei Zhang 2008-05-16 13:43:22 EDT
Fedora 9 has the same issue, updating version field.
Comment 3 Rex Dieter 2008-05-16 13:57:06 EDT
Doh, now that XDG_MENU_PREFIX works as advertised, we can likely drop 
XDG_CONFIG_DIRS.

Any objections?
Comment 4 Rex Dieter 2008-05-16 13:58:52 EDT
fyi, in /etc/kde/env/env.sh is in:
pre F-9: kdebase
F-9+: kde-settings
Comment 5 Kevin Kofler 2008-05-16 14:03:02 EDT
What is this setting for? There's nothing in /etc/kde/xdg here, except an 
empty /etc/kde/xdg/menus owned by kde-filesystem. I believe this is obsolete 
and can be removed. We use XDG_MENU_PREFIX for this purpose (using a different 
menu in KDE than GNOME) now.
Comment 6 Fedora Update System 2008-05-16 14:25:33 EDT
kde-settings-4.0-23.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-05-17 18:21:35 EDT
kde-settings-4.0-23.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-07-26 01:57:26 EDT
kde-settings-4.0-23.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.